# Connect as E-access Enable access to your network services on Equinix Fabric without having to manage connections' C-tag information. ![](https://docs.equinix.com/assets/images/e-access-overview-7f470b80c8b64fa546f9e1ea0727d3dc.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Get your relevant port information using the [Get All Ports](https://docs.equinix.com/api-catalog/fabricv4/ports/getports.md) endpoint. Specifically, the ports need to meet the following criteria: * The port that aggregates traffic from different clients must use QINQ encapsulation. * The port that aggregates traffic from different clients can be assigned to other `ACCESS_EPL_VC` type connections only. * The client side port must be an EPL port, and it can't be assigned to any other connection unless it's in the `DEPROVISIONED` state. ## Creating a Connection - QINQ Port to EPL Port[​](#creating-a-connection---qinq-port-to-epl-port "Direct link to Creating a Connection - QINQ Port to EPL Port") To create a connection as e-access from a QINQ Port to an EPL Port, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Specify your connection's configuration details in the body of the request. | | **POST /fabric/v4/connections** | | ---------------- | ------------------------------------------------------------------------------------------------ | | Method | `POST` | | Endpoint | `/fabric/v4/connections` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | `type`, `name`, `order`, `redundancy`, `bandwidth`, `aSide`, `zSide`, `project`, `notifications` | To safely validate this request in production without creating a connection, see [Testing in Production (API Dry Run)](https://docs.equinix.com/equinix-api/testing/testing-in-production-dry-run.md). Sample cURL request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "type": "ACCESS_EPL_VC",     "name": "Conn-1",     "order": {         "purchaseOrderNumber": "1-129105284100"     },     "bandwidth": 50,     "redundancy": {         "priority": "PRIMARY"     },     "aSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "3312101f-5bd0-43d5-b21a-d442b35816a5"             },             "linkProtocol": {                 "type": "QINQ",                 "vlanSTag": 1001             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "ca655bb1-cca0-ca01-75e0-306a5c00ae38"             }         }     },     "project": {           "projectId": 568     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com"             ]         }     ] }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). Sample Response: ``` {     "type": "ACCESS_EPL_VC",     "href": "https://api.equinix.com/fabric/v4/connections/eb45d323-5281-44dc-842b-c19a15ac837f",     "uuid": "eb45d323-5281-44dc-842b-c19a15ac837f",     "name": "Conn-1",     "state": "PROVISIONING",     "operation": {         "providerStatus": "NOT_AVAILABLE",         "equinixStatus": "PROVISIONING"     },     "order": {         "purchaseOrderNumber": "1-129105284100",         "billingTier": "Up to 50 Mbps"     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com"             ]         }     ],     "project": {           "projectId": 568     },     "account": {         "accountNumber": 272235,         "orgId": 91604,         "globalOrgId": "0016u000003JZ6HAAW"     },     "changeLog": {         "createdBy": "EPL-account01-user",         "createdDateTime": "2022-03-26T11:07:47.325Z"     },     "bandwidth": 50,     "redundancy": {         "group": "5c0e9384-aa79-4ec9-b7a2-557f8c307292",         "priority": "PRIMARY"     },     "isRemote": false,     "direction": "INTERNAL",     "aSide": {         "accessPoint": {             "type": "COLO",             "account": {                 "accountNumber": 272235,                 "orgId": 91604,                 "organizationName": "EPL-account01",                 "globalOrgId": "0016u000003JZ6HAAW"             },             "location": {                 "href": "https://api.equinix.com/fabric/v4/metros/DA",                 "region": "AMER",                 "metroName": "Dallas",                 "metroCode": "DA"             },             "port": {                 "href": "https://api.equinix.com/fabric/v4/ports/3312101f-5bd0-43d5-b21a-d442b35816a5",                 "uuid": "3312101f-5bd0-43d5-b21a-d442b35816a5",                 "name": "272235-DA1-CX-Primary-01"             },             "linkProtocol": {                 "type": "QINQ",                 "vlanSTag": 689,                 "vlanCTag": 0             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "account": {                 "accountNumber": 272235,                 "orgId": 91604,                 "organizationName": "EPL-account01",                 "globalOrgId": "0016u000003JZ6HAAW"             },             "location": {                 "href": "https://api.equinix.com/fabric/v4/metros/DA",                 "region": "AMER",                 "metroName": "Dallas",                 "metroCode": "DA"             },             "port": {                 "href": "https://api.equinix.com/fabric/v4/ports/ca655bb1-cca0-ca01-75e0-306a5c00ae38",                 "uuid": "ca655bb1-cca0-ca01-75e0-306a5c00ae38",                 "name": "EPL-account01-DA1-NL-EPL-STD-SEC-10G-NK-28"             },             "linkProtocol": {                 "type": "UNTAGGED"             }         }     } } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). ## Creating a Connection - EPL Port to QINQ Port[​](#creating-a-connection---epl-port-to-qinq-port "Direct link to Creating a Connection - EPL Port to QINQ Port") To create a connection as e-access from an EPL Port to a QINQ Port, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Specify your connection's configuration details in the body of the request. Sample cURL request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "type": "ACCESS_EPL_VC",     "name": "Conn-1",     "order": {         "purchaseOrderNumber": "1-129105284100"     },     "bandwidth": 50,     "redundancy": {         "priority": "PRIMARY"     },     "aSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"             },             "linkProtocol": {                 "type": "QINQ",                 "vlanSTag": 1001             }         }     },     "project": {           "projectId": 568     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com",                 "test@equinix.com"             ]         }     ] }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). ## Monitoring the Connection[​](#monitoring-the-connection "Direct link to Monitoring the Connection") Use the [Get Specified Connection](https://docs.equinix.com/api-catalog/fabricv4/connections/getconnectionbyuuid.md) endpoint to monitor connection status.